module.exports = {
  create: {
    requestBody: ["!subid", "!teacherid", "reason"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["number", "!subid", "!teacherid", "status", "reason", 'start'],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        number: "number",
        subid: "subid",
        teacherid: "teacherid",
        start:"start",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
